<!doctype html>
<html lang="en">
<head>
	<meta charset="utf-8">
	<title>GMDPtoolbox</title>
	<link rel="stylesheet" href="styles.css" type="text/css" media="screen" />
	<link rel="stylesheet" type="text/css" href="print.css" media="print" />
        <meta name="description" content="Graph-based Markov Decision Processes Toolbox for MATLAB">
        <meta name="keywords" content="Graph-based Markov decision process, GMDP, Toolbox, MATLAB">
	<!--[if IE]><script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script><![endif]-->
</head>
<body>
<div id="wrapper"><!-- #wrapper -->

	<nav><!-- top nav -->
		<div class="menu">
		<ul class="dockmenu">
			<li><a href="home.html"><img src="icons/home.png" alt="Home" title="Home" width="64"></a></li> 
			<li><a href="install.html"><img src="icons/down.png" alt="Install" title="Install" width="64"></a></li> 
			<li><a href="documentation.html"><img src="icons/doc.png" alt="Documentation" title="Documentation" width="64"></a></li> 
		</ul>
		</div>
	</nav><!-- end of top nav -->
	
	<header><!-- header -->
		<h1><font color="red">G</font><font color="#2e64fe">MDP</font><font color="black">toolbox</font></h1>
		<h2>Matlab tools for Graph-based Markov Decision Processes</h2>
	</header><!-- end of header -->
	
	<div id="main"><!-- #main content and sidebar area -->
			<div id="content"><!-- #content -->
				
                               <article>
					<h2>Description of the GMDP framework and problem representation in the toolbox</h2>

					<p>For a description, see chapter 2 in the <a href="ReferenceManual.pdf">reference user manual</a>.<br><br></p>

			       </article>
			       
        		       <article>
					<h2>Quick start</h2>
					<p>To quickly learn how to use the toolbox, open the file  <a href="QuickStart.pdf">doc/QuickStart.pdf</a> with an appropriate software.<br><br></p>
			       </article>
						

        		       <article>
					<h2>GMDPtoolbox functions</h2>

					<p>For a detailed description, see the <a href="ReferenceManual.pdf">reference user manual</a>.</p>

					<p>
<table><col style="width:40%"><col style="width:60%"><tbody>
<tr><td><b>GMDP generation</b></td><td><img src="icons/rouage-schema.png" alt="" height="42" /></td></tr>
<tr><td colspan=2><hr></td></tr>
<tr><td>gmdp_example_epidemio<br><br></td><td> Generates a tiny GMDP epidemics management problem on 3 crop fields</td></tr>
<tr><td colspan=2>&nbsp;</td></tr>
<tr><td>gmdp_example_grid<br><br></td><td> Generates a random GMDP problem on a grid of sites</td></tr>
<tr><td colspan=2>&nbsp;</td></tr>
<tr><td>gmdp_example_rand</td><td> Generates a random GMDP problem on a random network of sites</td></tr>
</tbody></table>
<br><br>
<table><col style="width:40%"><col style="width:60%"><tbody>
<tr><td><b>GMDP resolution</b></td><td><img src="icons/labyrinthe3D.jpeg" alt="" height="42" /></td></tr>
<tr><td colspan=2><hr></td></tr>
<tr><td>gmdp_linear_programming<br><br></td><td> Solves a GMDP problem using an approximate linear programming algorithm</td></tr>
<tr><td colspan=2>&nbsp;</td></tr>
<tr><td>gmdp_policy_iteration_MF<br><br></td><td> Solves a GMDP problem using the Mean-Field policy iteration algorithm</td></tr>
<tr><td colspan=2>&nbsp;</td></tr>
<tr><td>gmdp_globalize</td><td> Translates a GMDP problem into a MDP problem</td></tr>
</tbody></table>
<br><br>
<table><col style="width:40%"><col style="width:60%"><tbody>
<tr><td><b>Policy description</b></td> <td><img src="icons/histo.jpeg" alt="" height="38" /></td></tr>
<tr><td colspan=2><hr></td></tr>
<tr><td>gmdp_see_policy</td> <td> Displays the actions prescribed by a policy</td></tr>
<tr><td colspan=2>&nbsp;</td></tr>
<tr><td>gmdp_see_policy_tab<br><br></td> <td> Displays the tables of the actions prescribed by a policy for all explicit neighborhood states</td></tr>
<tr><td colspan=2>&nbsp;</td></tr>
<tr><td>gmdp_see_policy_graph<br><br></td> <td> Visualizes the actions prescribed by a policy for a given system state</td></tr>
<tr><td colspan=2>&nbsp;</td></tr>
<tr><td>gmdp_analyze_policy<br><br></td> <td> Computes and shows actions repartition of a policy for each site</td></tr>
<tr><td colspan=2>&nbsp;</td></tr>
<tr><td>gmdp_analyze_policy_neighbor<br><br></td> <td> Computes and shows actions repartition of a policy for each state of each site</td></tr>
</tbody></table>
<br><br>
<table><col style="width:40%"><col style="width:60%"><tbody>
<tr><td><b>Policy evaluation</b></td> <td><img src="icons/analyse.jpeg" alt="" height="38" /></td></tr>
<tr><td colspan=2><hr></td></tr>
<tr><td colspan=2 class="grey"><i>Mean-Fiel based evaluation</i></td></tr>
<tr><td colspan=2>&nbsp;</td></tr>
<tr><td>gmdp_eval_policy_MF</td> <td> Evaluates a policy using the Mean-Field approximation</td></tr>
<tr><td colspan=2>&nbsp;</td></tr>
<tr><td colspan=2>&nbsp;</td></tr>
<tr><td colspan=2 class="grey"><i>Simulation based evaluation</i></td></tr>
<tr><td colspan=2>&nbsp;</td></tr>
<tr><td>gmdp_simulate_policy</td> <td> Simulates the application of a policy</td></tr>
<tr><td colspan=2>&nbsp;</td></tr>
<tr><td>gmdp_eval_policy_value<br><br></td> <td> Estimates the global value evolution over time when applying a policy</td></tr>
<tr><td colspan=2>&nbsp;</td></tr>
<tr><td>gmdp_eval_policy_value_site _contribution</td> <td> Estimates the contributions of all sites to the global value when applying a policy</td></tr>
<tr><td colspan=2>&nbsp;</td></tr>
<tr><td>gmdp_eval_policy_state_time<br><br></td> <td> Computes and shows the time spent in each state when applying a policy</td></tr>
<tr><td colspan=2>&nbsp;</td></tr>
<tr><td colspan=2>&nbsp;</td></tr>
<tr><td colspan=2 class="grey"><i>Evaluation of global value</i></td></tr>
<tr><td colspan=2>&nbsp;</td></tr>
<tr><td>gmdp_eval_policy_global_value<br><br></td> <td> Computes the global expected value function when applying a policy</td></tr>
<tr><td colspan=2>&nbsp;</td></tr>
<tr><td>gmdp_eval_policy_global_value _state<br><br></td> <td> Computes the global expected value from an initial global state when applying a policy</td></tr>
</tbody></table>
<br><br>
<table><col style="width:40%"><col style="width:60%"><tbody>
<tr><td><b>Utilities</b></td><td><img src="icons/utility.png" alt="" height="38" /></td></tr>
<tr><td colspan=2><hr></td></tr>
<tr><td>gmdp_check_gmdp</td><td> Checks the validity of a GMDP</td></tr>
<tr><td colspan=2>&nbsp;</td></tr>
<tr><td>gmdp_check_policy</td><td> Checks the validity of a policy for a GMDP</td></tr>
<tr><td colspan=2>&nbsp;</td></tr>
<tr><td>gmdp_globalize_local_policy</td><td>Computes the global policy from a local policy</td></tr>
<tr><td colspan=2>&nbsp;</td></tr>
<tr><td>gmdp_localize_global_policy</td><td>If it exists, computes the local policy from a global policy</td></tr>
<tr><td colspan=2>&nbsp;</td></tr>
<tr><td>gmdp_see_neighborhood</td><td> Visualizes the neighborhood relations between sites</td></tr>
</tbody></table>
                                        </p>
			       </article>
						
			</div><!-- end of #content -->

		<aside id="sidebar"><!-- sidebar -->
				<h3>News</h3>
		                Jan. 2018: Change Forge<br>
				Sep. 2016: version 1.1<br>
				Jan. 2015: version 1.0<br>
				Nov. 2014: version beta2
                                <br><br>

		</aside><!-- end of sidebar -->

	</div><!-- end of #main content and sidebar-->
	
		<footer>
		<div id="footer-area">

			<div id="footer-outer-block">
					<aside class="footer-segment">
                                        Last update: January 4, 2018
					</aside><!-- end of #fourth footer segment -->

			</div><!-- end of footer-outer-block -->

		</div><!-- end of footer-area -->
	</footer>
	
</div><!-- #wrapper -->
</body>
</html>
